FruxonDocs
ApiEmbed configs

Gets one embed config.

Scoped to the agent in the route; an id belonging to another agent returns 404.

GET
/v1/tenants/{tenant}/agents/{agent}/embedConfigs/{embedConfig}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The agent identifier.

embedConfig*string

The embed config id.

tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/embedConfigs/string"
{
  "id": "string",
  "agentId": "string",
  "key": "string",
  "enabled": false,
  "allowedOrigins": [
    "string"
  ],
  "greeting": "string",
  "suggestedPrompts": [
    "string"
  ],
  "themeJson": "string",
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}